const _ = require('lodash');

const AUXILIARY_VERBS = ['can', 'could', 'may', 'might', 'must', 'shall', 'should', 'will', 'would'];

function isYesNoQuestion(message) {
  var lower = message.toLowerCase();
  return _.some(AUXILIARY_VERBS, (verb) => {
    return _.startsWith(lower, verb);
  });
}

module.exports = (message, done) => {
  var wisdom = 'You must please ask me any question that can be answered YES or NO';
  if (isYesNoQuestion(message)) {
    wisdom = 'All signs appear favourable';
  }

  return done(null, wisdom);
}
