const should = require('chai').should();
const swami = require('../lib/swami');

describe('swami', ()=> {
  shouldImpartWisdom('Should I take a vacation?');
  shouldNotImpartWisdom('Who are you?');
});

function shouldImpartWisdom(message) {
  return it('should impart wisdom for "' + message + '"', (done) => {
    return swami(message, (error, wisdom) => {
      should.not.exist(error);
      should.exist(wisdom);
      wisdom.should.not.equal("You must please ask me any question that can be answered YES or NO");
      return done();
    });
  });
}

function shouldNotImpartWisdom(message) {
  return it('should not impart wisdom for "' + message + '"', (done) => {
    return swami(message, (error, wisdom) => {
      should.not.exist(error);
      should.exist(wisdom);
      wisdom.should.equal("You must please ask me any question that can be answered YES or NO");
      return done();
    });
  });
}
